Name:           python-tagnews
Version:        1.4.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        automatically tag news articles with justice-related categories and extract location information

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/chicago-justice-project/article-tagging
Source:         %{pypi_source tagnews}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'tagnews' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-tagnews
Summary:        %{summary}

%description -n python3-tagnews %_description


%prep
%autosetup -p1 -n tagnews-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-tagnews -f %{pyproject_files}


%changelog
%autochangelog